const { ApiMpInfo } = require("../../http/api")
const { wxGet } = require("../../http/network")
const { showToast } = require("../../utils/common")

// pages/mine/official-account.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    MP_QRCODE: "",
    MP_NAME: ""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    wxGet(ApiMpInfo).then(res=>{
      this.setData({
        MP_QRCODE: res.data.MP_QRCODE,
        MP_NAME: res.data.MP_NAME
      })
    })
  },
  copyAction(){
    wx.setClipboardData({
      data: this.data.MP_NAME,
      success(){
        showToast("复制成功")
      }
    })
  }
})